         INTEGER gmax_nwtn, gmax_trace, gmax_ntimes
         PARAMETER (gmax_nwtn = 4, gmax_trace = 3, gmax_ntimes = 3)
         DOUBLE PRECISION gstp_min, gstp_max, gstp_init,
     &                    geps_trace, geps_at1,
     &                    grsdl_fctr
         PARAMETER(gstp_min=1.0d-14,    ! -14 better? safer?
     &             gstp_max=0.1, gstp_init=0.1,      ! original all 0.1 
c                  you may make gstp_max and gstp_init smaller
     &             geps_trace=1.0d-8, geps_at1=1.0d-8, ! original all -8 
     &             grsdl_fctr = 0.1) ! original 0.1
!
! gmax_nwtn is maximun number of newton iterations allowed
! gmax_trace is the maximum number of retracing curves allowed
! gstp_min is the first minimum step size
! gstp_max is the first maximum step size
! gstp_init is the first initial step size from t=0
! geps_trace is the error conditon for stopping newton method for t<1
! geps_at1 is the error condition for stopping newton method for t=1
! grsdl_fctr is the residual factor |h(p1)|/|h(p0)|
!
         LOGICAL debug
         PARAMETER ( debug = .TRUE. )
c        PARAMETER ( debug = .FALSE. )
