      FUNCTION i2c(num)
 
      IMPLICIT none

      INCLUDE 'genpdp.h'
 
!  .. Scalar Variable ..
 
      CHARACTER*(len_i2c) i2c
      INTEGER             num

!  PURPOSE
!  =======
!     To change number num into character(e.g.: 132 into '132').
!     It works for up to len_i2c digit numbers. Need to change 
!     len_i2c in order to deal with bigger numbers num.

!  .. Local variables ..

      INTEGER       i, i1, i2
      CHARACTER*(len_i2c) ctmp

!  .. Function called

      INTEGER len_trim

!  .. Executable Statements ..

      ctmp  = ''
      i1 = num
      i2 = num/10
      do while(i2 .gt. 0)
         i = len_trim(ctmp)
         ctmp = char(i1-10*i2+48) // ctmp(1:i)
         i1 = i2
         i2 = i2/10
      enddo
      i = len_trim(ctmp)
      ctmp = char(i1+48) // ctmp(1:i)

      i = len_trim(ctmp)
      i2c = ctmp(1:i)

      RETURN
      end
